import java.text.DecimalFormat;

public class Klient {

	private static void printBier(Bier meinBier){
		if (meinBier.zustand != 100) { // Falls Bier noch nicht fertig
			System.out.println("Ihr Bier wurde nur zu " + meinBier.zustand + "% fertiggestellt.");
			System.out.println("Ich gebe Ihnen lieber eine Milch.");
		}
		else {
			DecimalFormat df =   new DecimalFormat  ( ".00" );
			System.out.println("Ihr Bier: " + meinBier.ettikett);
			System.out.println("   Alkoholgehalt: " + df.format(meinBier.alkohol));
			System.out.println("   Stammwuerze  : " + df.format(meinBier.stammwuerze));
			System.out.println("   Hopfung      : " + meinBier.hopfung);
		}
		
	}
	
	public static void main(String[] args) {
		int eingabe;
		Bier meinBier;
		
		System.out.println("Willkommen in der Rostocker Brauerei! Wir brauen unser Bier frisch und nur auf Bestellung.");
		System.out.println("Welches Bier darf es denn sein?");
		System.out.println("  1   - Rostocker Pilsener");
		System.out.println("  2   - Rostocker Export");
		System.out.println("  3   - Rostocker Bock");
		System.out.println("Sonst - Brauerei nchtern verlassen");
		eingabe = Input.readInt();
		switch (eingabe) {
			case 1:
				meinBier = new PilsBier();
				printBier(meinBier);
				break;
			case 2:
				meinBier = new ExportBier();
				printBier(meinBier);
				break;
			case 3:
				meinBier = new BockBier();
				printBier(meinBier);
				break;
			default:
				System.out.println("Dann eben nicht.");
		}
	}
}
